Deploying Orchard on .NET 3.5?

Oct 19, 2010 at 9:06 PM

Hello,

I'm a newbie with Orchard. I got the CMS to run under my desktop configuration which is up-to-date with the latest releases from Microsoft but my hosting provider still doesn't support the .NET 4.0. I tried changing the platform thru Visual Studio but then I get some problems with Orchard.Environment reference. I found out that it's in the Orchard.Framework.dll but in .NET 3.5 I cannot access it.

Would you give me any suggestions how to deal with this problem.

 

Cheers,

Vassil

Coordinator
Oct 19, 2010 at 9:08 PM

I'm sorry, we are only supporting 4.0.

Oct 19, 2010 at 9:12 PM

Thanks for the quick answer. I'll try to make my provider install 4.0.

Cheers

Oct 25, 2010 at 10:24 PM

If you are only supporting 4.0 why does the Web Platform installer install all configurations as 3.5?  And I get the following error:

 

There is a duplicate 'system.web.extensions/scripting/scriptResourceHandler' section defined